const std = @import("std");

pub fn kiloBytes(bytes: usize) usize {
    return bytes * 1024;
}

pub fn megaBytes(bytes: usize) usize {
    return kiloBytes(bytes) * 1024;
}

pub const AppInput = struct {
    mouse_present: bool = false,
    mouse_left_down: bool = false,
    mouse_x: f64,
    mouse_y: f64,

    scroll_y: f64,
};

/// Buffer the platform creates and hands off to the app
pub const OffscreenBuffer = struct {
    width: i32,
    height: i32,
    stride: i32,
    data: []u8,
};

pub const AppMemory = struct {
    initialized: bool,

    permanent_storage: []u8,
};
